# GimpUi.IntRadioFrameSensitivityFunc

    function onIntRadioFrameSensitivityFunc(value: Number(gint), new_value: Number(gint)): Boolean {
    }

Signature for a function called on each radio button value and data, each time the %GimpIntRadioFrame is drawn, to make some radio button insensitive. If the function returns false, it usually means that the value is not a valid choice in current situation. In this case, you might want to toggle instead another value automatically. Set new_value to the value to toggle. If you leave this untouched, the radio button will stay toggled despite being insensitive. This is up to you to decide whether this is meaningful.

value

  the value associated with a radio button.

new_value

  the value to check instead if the function returns false.

Returns

  true if the button stays sensitive, false otherwise.